curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/phenotypesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/phenotypes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/phenotypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"phenotype_id": "<string>",
"phenotype_term": "<string>",
"p_value": 123,
"beta": 123,
"beta_ci_lower": 123,
"beta_ci_upper": 123,
"oddsr_ci_lower": 123,
"oddsr_ci_upper": 123,
"lead_chrom": "<string>",
"lead_pos": 123,
"lead_ref": "<string>",
"lead_alt": "<string>",
"direction": "<string>",
"source": "OpenTargets",
"name": "<string>",
"variant": "<string>",
"rsid": [
"<string>"
],
"study": "<string>",
"neg_log10_pvalue": 123,
"source_url": "<string>",
"class": "<string>",
"method": "<string>",
"label": "<string>",
"version": "October 2022 (22.10)",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Variants Phenotypes
Retrieve variant-trait pairs from GWAS, SGE, cV2F, and CRISPR screens by variants.
Filters on phenotype ontology id can be used together.
The following parameters can be used to set thresholds on -log10 p_value: gt (>), gte (>=), lt (<), lte (<=). neg_log10_pvalue is only populated for GWAS records; it does not filter out SGE, cV2F, or CRISPR screen edges, which have no p-value field.
Set verbose = true to retrieve full info on the studies.
At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, region, method, or files_fileset.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
GWAS:
query by variant identifier
- spdi = NC_000001.11:5277210:G:A
- neg_log10_pvalue = gte:5
- method = GWAS
query by region
- region = chr1:5270008-5277214
- method = GWAS
SGE:
query by variant identifier
- spdi = NC_000007.14:152660654:T:A
- method = SGE
query by region
- region = chr7:152655654-152664654
- method = SGE
cV2F:
query by variant identifier
- spdi = NC_000001.11:91420:T:C
- method = cV2F
query by region
- region = chr1:91418-91424
- method = cV2F
CRISPR screen:
query by variant identifier
- spdi = NC_000019.10:11105332:TGC:CGG
- method = CRISPR screen
query by region
- region = chr19:11105000-11106000
- method = CRISPR screen
query by files_fileset
Each files_fileset maps to at most one method, so a method filter is usually not necessary.
- files_fileset = IGVFFI2014OOZP
- method = CRISPR screen
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/phenotypesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/phenotypes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/phenotypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"phenotype_id": "<string>",
"phenotype_term": "<string>",
"p_value": 123,
"beta": 123,
"beta_ci_lower": 123,
"beta_ci_upper": 123,
"oddsr_ci_lower": 123,
"oddsr_ci_upper": 123,
"lead_chrom": "<string>",
"lead_pos": 123,
"lead_ref": "<string>",
"lead_alt": "<string>",
"direction": "<string>",
"source": "OpenTargets",
"name": "<string>",
"variant": "<string>",
"rsid": [
"<string>"
],
"study": "<string>",
"neg_log10_pvalue": 123,
"source_url": "<string>",
"class": "<string>",
"method": "<string>",
"label": "<string>",
"version": "October 2022 (22.10)",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
CRISPR screen, GWAS, SGE, cV2F GWAS, predicted variant effect on phenotype, protein variant effect, variant effect on phenotype observed data, prediction Homo sapiens true, false Response
Successful response
- Option 1
- Option 2
OpenTargets